OpenGL-2.2.3.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Graphics.Rendering.OpenGL.GL.SavingState

Description

This module corresponds to section 6.1.14 (Saving and Restoring State) of the OpenGL 2.1 specs.

# Documentation

data ServerAttributeGroup

Constructors

CurrentAttributes |
PointAttributes |
LineAttributes |
PolygonAttributes |
PolygonStippleAttributes |
PixelModeAttributes |
LightingAttributes |
FogAttributes |
DepthBufferAttributes |
AccumBufferAttributes |
StencilBufferAttributes |
ViewportAttributes |
TransformAttributes |
EnableAttributes |
ColorBufferAttributes |
HintAttributes |
EvalAttributes |
ListAttributes |
TextureAttributes |
ScissorAttributes |
MultisampleAttributes |
AllServerAttributes |

Instances

Eq ServerAttributeGroup |
Ord ServerAttributeGroup |
Show ServerAttributeGroup |

preservingAttrib :: [ServerAttributeGroup] -> IO a -> IO a

data ClientAttributeGroup

Constructors

PixelStoreAttributes |
VertexArrayAttributes |
AllClientAttributes |

Instances

Eq ClientAttributeGroup |
Ord ClientAttributeGroup |
Show ClientAttributeGroup |

preservingClientAttrib :: [ClientAttributeGroup] -> IO a -> IO a